Index: src/UIElements/CommandLineUI/Query/BoxCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/BoxCommandLineQuery.cpp	(revision f10b0c73d4fb0ce5aaebc2bd886b4e6fad639dd0)
+++ 	(revision )
@@ -1,47 +1,0 @@
-/*
- * Project: MoleCuilder
- * Description: creates and alters molecular systems
- * Copyright (C)  2010-2012 University of Bonn. All rights reserved.
- * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
- */
-
-/*
- * BoxCommandLineQuery.cpp
- *
- *  Created on: Oct 25, 2010
- *      Author: heber
- */
-
-// include config.h
-#ifdef HAVE_CONFIG_H
-#include <config.h>
-#endif
-
-#include "CodePatterns/MemDebug.hpp"
-
-#include "Actions/Values.hpp"
-#include "CommandLineUI/Query/CommandLineQuery.hpp"
-#include "CommandLineUI/CommandLineParser.hpp"
-#include "CodePatterns/Log.hpp"
-#include "CodePatterns/Verbose.hpp"
-#include "LinearAlgebra/RealSpaceMatrix.hpp"
-
-CommandLineDialog::BoxCommandLineQuery::BoxCommandLineQuery(Parameter<Box> &param, std::string title, std::string _description) :
-    Dialog::BoxQuery(param, title, _description)
-{}
-
-CommandLineDialog::BoxCommandLineQuery::~BoxCommandLineQuery()
-{}
-
-bool CommandLineDialog::BoxCommandLineQuery::handle() {
-  BoxValue temp;
-  if (CommandLineParser::getInstance().vm.count(getTitle())) {
-    temp = CommandLineParser::getInstance().vm[getTitle()].as< BoxValue >();
-    tmp.set(temp.toBox());
-    return true;
-  } else {
-    ELOG(1, "CommandLineUI parsing error: Missing symmetric box matrix for " << getTitle() << ".");
-    return false;
-  }
-}
-
Index: src/UIElements/CommandLineUI/Query/CommandLineQuery.hpp
===================================================================
--- src/UIElements/CommandLineUI/Query/CommandLineQuery.hpp	(revision f10b0c73d4fb0ce5aaebc2bd886b4e6fad639dd0)
+++ src/UIElements/CommandLineUI/Query/CommandLineQuery.hpp	(revision d496fd779438588c03d7f49cf25828367937b060)
@@ -129,8 +129,8 @@
 };
 
-class CommandLineDialog::BoxCommandLineQuery : public Dialog::BoxQuery {
+class CommandLineDialog::RealSpaceMatrixCommandLineQuery : public Dialog::RealSpaceMatrixQuery {
 public:
-  BoxCommandLineQuery(Parameter<Box> &param, std::string title, std::string _description = "");
-  virtual ~BoxCommandLineQuery();
+  RealSpaceMatrixCommandLineQuery(Parameter<RealSpaceMatrix> &param, std::string title, std::string _description = "");
+  virtual ~RealSpaceMatrixCommandLineQuery();
   virtual bool handle();
 };
Index: src/UIElements/CommandLineUI/Query/RealSpaceMatrixCommandLineQuery.cpp
===================================================================
--- src/UIElements/CommandLineUI/Query/RealSpaceMatrixCommandLineQuery.cpp	(revision d496fd779438588c03d7f49cf25828367937b060)
+++ src/UIElements/CommandLineUI/Query/RealSpaceMatrixCommandLineQuery.cpp	(revision d496fd779438588c03d7f49cf25828367937b060)
@@ -0,0 +1,47 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010-2012 University of Bonn. All rights reserved.
+ * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
+ */
+
+/*
+ * BoxCommandLineQuery.cpp
+ *
+ *  Created on: Oct 25, 2010
+ *      Author: heber
+ */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#include "CodePatterns/MemDebug.hpp"
+
+#include "Actions/Values.hpp"
+#include "CommandLineUI/Query/CommandLineQuery.hpp"
+#include "CommandLineUI/CommandLineParser.hpp"
+#include "CodePatterns/Log.hpp"
+#include "CodePatterns/Verbose.hpp"
+#include "LinearAlgebra/RealSpaceMatrix.hpp"
+
+CommandLineDialog::RealSpaceMatrixCommandLineQuery::RealSpaceMatrixCommandLineQuery(Parameter<RealSpaceMatrix> &param, std::string title, std::string _description) :
+    Dialog::RealSpaceMatrixQuery(param, title, _description)
+{}
+
+CommandLineDialog::RealSpaceMatrixCommandLineQuery::~RealSpaceMatrixCommandLineQuery()
+{}
+
+bool CommandLineDialog::RealSpaceMatrixCommandLineQuery::handle() {
+  RealSpaceMatrixValue temp;
+  if (CommandLineParser::getInstance().vm.count(getTitle())) {
+    temp = CommandLineParser::getInstance().vm[getTitle()].as< RealSpaceMatrixValue >();
+    tmp.set(temp.toRealSpaceMatrix());
+    return true;
+  } else {
+    ELOG(1, "CommandLineUI parsing error: Missing symmetric box matrix for " << getTitle() << ".");
+    return false;
+  }
+}
+
